zenilib: zenilib/jni/external/freetype2/src/autofit/afglobal.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Typedefs | Functions
afglobal.h File Reference
`#include "aftypes.h"`

Go to the source code of this file.

## Typedefs

typedef typedefFT_BEGIN_HEADER struct AF_FaceGlobalsRec_ * | AF_FaceGlobals

## Functions

| af_face_globals_free (AF_FaceGlobals globals)
| af_face_globals_get_metrics (AF_FaceGlobals globals, FT_UInt gindex, FT_UInt options, AF_ScriptMetrics *ametrics)
| af_face_globals_is_digit (AF_FaceGlobals globals, FT_UInt gindex)
| af_face_globals_new (FT_Face face, AF_FaceGlobals *aglobals)

## Typedef Documentation

typedef typedefFT_BEGIN_HEADER struct AF_FaceGlobalsRec_* AF_FaceGlobals

Definition at line 43 of file afglobal.h.

## Function Documentation

af_face_globals_free | ( | AF_FaceGlobals | globals | ) |

Definition at line 211 of file afglobal.c.

References AF_SCRIPT_CLASSES_GET, AF_SCRIPT_MAX, FT_ASSERT, FT_FREE, and NULL.

Referenced by af_face_globals_new(), and af_loader_reset().

af_face_globals_get_metrics | ( | AF_FaceGlobals | globals,
|  | FT_UInt | gindex,
|  | FT_UInt | options,
|  | AF_ScriptMetrics * | ametrics
| ) |  |

Definition at line 245 of file afglobal.c.

References AF_SCRIPT_CLASSES_GET, AF_SCRIPT_LIST_NONE, AF_ScriptMetricsRec_::clazz, error, FT_ALLOC, FT_FREE, and NULL.

Referenced by af_loader_load_glyph().

af_face_globals_is_digit | ( | AF_FaceGlobals | globals,
|  | FT_UInt | gindex
| ) |  |

Definition at line 309 of file afglobal.c.

References AF_DIGIT, and FT_Bool.

Referenced by af_loader_load_g().

af_face_globals_new | ( | FT_Face | face,
|  | AF_FaceGlobals * | aglobals
| ) |  |

Definition at line 180 of file afglobal.c.

References af_face_globals_compute_script_coverage(), af_face_globals_free(), error, FT_ALLOC, NULL, and sizeof().

Referenced by af_loader_reset().